Index: trunk/wikifiles/plastic-slices/rspecs/plastic-109/openflow-internet2-plastic-109.rspec
===================================================================
--- trunk/wikifiles/plastic-slices/rspecs/plastic-109/openflow-internet2-plastic-109.rspec	(revision 800)
+++ trunk/wikifiles/plastic-slices/rspecs/plastic-109/openflow-internet2-plastic-109.rspec	(revision 1201)
@@ -1,42 +1,45 @@
+<?xml version="1.0" encoding="UTF-8"?>
 <!-- 
-This rspec will reserve the OpenFlow resources at Internet2 used by the
-plastic-109 slice.
+This rspec will reserve the OpenFlow resources at Internet2
+used by the plastic-109 slice.
 
-AM: https://ofc-vm1.net.internet2.edu:1443/openflow/gapi/
+AM: https://foam.net.internet2.edu:3626/foam/gapi/1
 -->
 
-<resv_rspec type="openflow" version="2">
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
 
-  <user affiliation="BBN" email="jbs@bbn.com" firstname="Josh" lastname="Smift" passsword="password"/>
+  <openflow:sliver description="Plastic Slices slice 109 at Internet2."
+		   email="jbs@bbn.com">
 
-  <project name="plastic-109@internet2" description="Plastic Slices slice 109 at Internet2"/>
+    <openflow:controller url="tcp:naxos.gpolab.bbn.com:33109" type="primary" />
 
-  <slice controller_url="tcp:naxos.gpolab.bbn.com:33109" name="naxos-33109" description="The FlowVisor on naxos, for plastic-109." expiry="1313380800"/>
+    <openflow:group name="i2-3715">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:83:40:39:18:1b" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:83:40:39:18:58" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:83:40:39:19:96" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:83:40:39:1a:57" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+00:00:0e:83:40:39:1b:93" component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />
+    </openflow:group>
 
-  <flowspace>
+    <openflow:match>
 
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:18:1b"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:18:58"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:19:96"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:1a:57"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:1b:93"/>
+      <openflow:use-group name="i2-3715" />
 
-    <dl_type from="2048" to="2048"/>
-    <nw_dst from="10.42.109.0" to="10.42.109.255"/>
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.109.0/24"/>
+	<openflow:nw_src value="10.42.109.0/24"/>
+      </openflow:packet>
 
-  </flowspace>
+    </openflow:match>
 
-  <flowspace>
+  </openflow:sliver>
 
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:18:1b"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:18:58"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:19:96"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:1a:57"/>
-    <switch urn="urn:publicid:IDN+indiana:expedient:openflow+switch:00:00:0e:83:40:39:1b:93"/>
-
-    <dl_type from="2048" to="2048"/>
-    <nw_src from="10.42.109.0" to="10.42.109.255"/>
-
-  </flowspace>
-
-</resv_rspec>
+</rspec>
